package com.rjconsultores.ventaboletos.web.utilerias.render;

import java.text.SimpleDateFormat;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.AutobusDoc;

public class RenderAutobusDoc implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        AutobusDoc doc = (AutobusDoc) o;

        if (!doc.getActivo()) {
			return;
		}
        
        Listcell lc = new Listcell();

        lc = new Listcell(doc.getTipoDocAutobus().getDescDoc());
        lc.setParent(lstm);

        SimpleDateFormat sdfData = new SimpleDateFormat("dd/MM/yyyy");
        lc = new Listcell(sdfData.format(doc.getFechaCaducidad()));
        lc.setParent(lstm);

        lstm.setAttribute("data", doc);
    }
}
